=== debian/control ===
Source: fmtlib
Section: devel
Priority: extra
Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
Build-Depends: cmake, debhelper (>=9), googletest, python3-sphinx, python3-breathe, doxygen
Standards-Version: 4.1.1
Homepage: http://fmtlib.net/latest/index.html

Package: libfmt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Suggests: libfmt-doc
Conflicts: libcppformat1-dev, libcppformat2-dev, libfmt3-dev
Description: fast type-safe C++ formatting library -- development files
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the development files, include the static library.

Package: libfmt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Conflicts: libcppformat1-doc, libcppformat2-doc, libfmt3-doc
Description: fast type-safe C++ formatting library -- documentation
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the documentation files.
