## fmtlib 4.1.0+ds

=== debian/changelog ===
fmtlib (4.1.0+ds-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Dec 2018 19:12:09 -0800

fmtlib (4.1.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - 0002-test-cmakelists-use-system-provide-GTest-and-GMock.patch: also link
      header-only-test executable to gtest target to ensure having right GTest
      include directory. Fixes FTBFS. (Closes: #897175)
    - 0015-doc-build-explicitly-use-python3.patch: added.
  * debian/control:
    - Priority: extra -> optional, as suggested by lintian.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 29 Apr 2018 19:06:35 +0200

fmtlib (4.1.0+ds-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Rebased.
    - 0014-doc-build-disable-Doxygen-full-path-names.patch: added. Shall make
      the build reproducible. Patch by Chris Lamb. (Closes: 879914)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 29 Mar 2018 13:22:32 +0200
