=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: fmtlib
 Section: devel
-Priority: extra
-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
-Build-Depends: cmake, debhelper (>=9), googletest, python3-sphinx, python3-breathe, doxygen
+Priority: optional
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
+Build-Depends: cmake, debhelper (>=9),
+               googletest, python3-sphinx, python3-breathe, doxygen
 Standards-Version: 4.1.1
 Homepage: http://fmtlib.net/latest/index.html
