=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  

override_dh_auto_configure:
	dh_auto_configure -- -DFMT_PEDANTIC=on -DCMAKE_POSITION_INDEPENDENT_CODE=on

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- doc

override_dh_install:
	dh_install
	dh_sphinxdoc

override_dh_strip:
	dh_strip --no-automatic-dbgsym
