## fmtlib 5.2.1+ds

=== debian/changelog ===
fmtlib (5.2.1+ds-2) unstable; urgency=low

  * debian/patches:
    - 0017-test-assert-test-fix-typo-in-else-branch-of-EXPECT_D: fix building
      conditional death tests on non-Linux platforms.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 16 Feb 2019 18:50:37 +0100

fmtlib (5.2.1+ds-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Rebased.
    - 0003-test-cmakelists-use-system-provided-GTest-and-GMock.patch:
      treat_includes_as_system: support for multiple values in a list.
      Fixes multitude of compile warnings when building tests with
      googletest >= 1.8.1.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 15 Dec 2018 17:30:30 +0100

fmtlib (5.1.0+ds-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Rebased.
    - 0002-test-cmakelists-remove-irrelevant-compile-tests.patch: added.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 07 Aug 2018 18:54:46 +0200
