=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: fmtlib
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
-Build-Depends: cmake, debhelper (>=9),
-               googletest, python3-sphinx, python3-breathe, doxygen
+Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
+Build-Depends: cmake, debhelper (>=9), googletest, python3-sphinx, python3-breathe, doxygen
 Standards-Version: 4.1.1
 Homepage: http://fmtlib.net/latest/index.html
