=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,3 @@
 	dh_install
 	dh_sphinxdoc
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
