## fmtlib 5.3.0+ds

=== debian/changelog ===
fmtlib (5.3.0+ds-2) unstable; urgency=medium

  * debian/control:
    - Added ${shlibs:Depends} to record the minimal required version of
      the libstdc++6 expected by the static library. (Closes: #939290)
  * debian/patches:
    - 0021-test-stop-using-internal-scoped_ptr-from-GTest: added.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 05 Sep 2019 18:40:01 +0200

fmtlib (5.3.0+ds-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Rebased.
    - 0018-fmt-format-disable-UDL-templates-as-non-standard.patch: added.
      (Closes: #925686)
    - 0019-fmt-format-is_output_iterator-use-constexpr-method.patch: added.
    - 0020-cmakelists-do-not-refer-to-TARGET_PDB_FILE: added.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 25 Aug 2019 16:31:11 +0200
