=== debian/changelog ===
fmtlib (6.1.2+ds-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Jun 2020 17:19:58 +0530

fmtlib (6.1.2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 26 Feb 2020 20:16:24 +0100

fmtlib (6.1.2+ds-1) experimental; urgency=medium

  * New upstream release. (Closes: #950857)
  * debian/patches:
    - Rebased.
    - 0021-test-stop-using-internal-scoped_ptr-from-GTest: dropped
      (applied upstream).

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 18 Feb 2020 14:10:10 +0100
