=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -B bdir

override_dh_auto_configure:
	dh_auto_configure -- -DFMT_PEDANTIC=on -DCMAKE_POSITION_INDEPENDENT_CODE=on

override_dh_auto_build:
	dh_auto_build -B bdir
	dh_auto_build -B bdir -- doc

override_dh_shlibdeps:
	# dh_shlibdeps silently ignores libfmt-dev since it contains only a static library
	dpkg-shlibdeps -Tdebian/libfmt-dev.substvars -ebdir/bin/posix-test

override_dh_install:
	dh_install
	dh_sphinxdoc
