## fmtlib 7.1.3%2Bds1

=== debian/changelog ===
fmtlib (7.1.3+ds1-5.0antix1) unstable; urgency=medium

  * antiX-19 build 

 -- anticapitalista <antix@operamail.com>  Sun, 23 Jul 2023 00:14:22 +0300

fmtlib (7.1.3+ds1-5) unstable; urgency=medium

  * Breaks libspdlog1 << 1:1.8.1+ds-2.1 for libfmt-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 02 Jan 2021 20:35:29 +0800

fmtlib (7.1.3+ds1-4) unstable; urgency=medium

  * Upload to unstable.
  * Update README.Debian.
    Header-only version is provided now
  * Add node-clean-css to Build-Depends-Indep

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 24 Dec 2020 22:50:19 +0800

fmtlib (7.1.3+ds1-3) experimental; urgency=medium

  * Enable building shared library
  * Add new shared library package (Closes: #962087)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 15 Dec 2020 02:30:16 +0800

fmtlib (7.1.3+ds1-2) experimental; urgency=medium

  * Fix api signature in doc

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 15 Dec 2020 01:49:39 +0800

fmtlib (7.1.3+ds1-1) experimental; urgency=medium

  * New upstream version 7.1.3+ds1
  * Rewrite patches from scratch.
    To many patches in previous version, impossible to rebase.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 14 Dec 2020 16:45:25 +0800

fmtlib (6.1.2+ds-3) unstable; urgency=medium

  * Rework sphinx doc build (Closes: #959638)
  * Adopt package, thanks Eugene V. Lyubimkin (Closes: #972869)
  * Move package source to salsa.d.o (Closes: #950856)
  * Add Multi-Arch hint, thanks Michael R. Crusoe (Closes: #953023)
  * Update new Homepage and source repository
  * Bump debhelper-compat
  * Secure copyright format url
  * Add Rules-Requires-Root
  * Bump Standards-Version

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 22 Nov 2020 23:17:23 +0800
