=== debian/changelog ===
fmtlib (7.1.3+ds1-5~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add "~" to the end of the Breaks: spdlog version so it accepts our build.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Feb 2021 15:07:15 -0800
